%define majver %(echo %version | cut -d. -f1-2)
Name:          groff
Version:       1.23.0
Release:       1mamba
Summary:       groff (GNU Troff) is a typesetting package
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/groff/
Source:        ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
%if "%{stage1}" != "1"
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
%endif
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel >= 0.14.1
%if "%{stage1}" != "1"
BuildRequires: ghostscript >= 7.07.1
%endif
Requires(post):%{__install_info}
# netpbm, psutils: needed by the HTML backend of groff (grohtml)
Requires:      netpbm >= 10.20
Requires:      psutils >= 1.17

%description
Groff is a document formatting system.
Groff takes standard text and formatting commands as input and produces formatted output.
The created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size, bold type, italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting system.
Groff can also be used to format man pages. If you are going to use groff with the X Window System, you'll also need to install the groff-gxditview package.

%package X11
Summary:       Groff utilitis for the X graphical server
Group:         Graphical Desktop/Applications/Publishing
Requires:      %{name} = %{version}-%{release}

%description X11
Groff is a document formatting system.
Groff takes standard text and formatting commands as input and produces formatted output.
The created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size, bold type, italic type, the number and size of columns on a page, and more.
This packages includes the tools for the X graphical server.

%package docs
Summary:       %{name} documentation
Group:         Documentation

%description docs
%{name} documentation.

%debug_package

%prep
%setup -q
#-D -T

%define _use_internal_dependency_generator 0

%define __find_provides %{_builddir}/groff-%{version}/find_provides.sh
cat > find_provides.sh << _EOF
#! /bin/sh
%{_prefix}/lib/rpm/find-provides %{buildroot} %{_target_cpu}
exit 0
_EOF
chmod +x find_provides.sh

%define __find_requires %{_builddir}/groff-%{version}/find_requires.sh
cat > find_requires.sh << _EOF
#! /bin/sh
%{_prefix}/lib/rpm/find-requires %{buildroot} %{_target_cpu} 2>/dev/null | \
grep -v "perl(.*\.pl"
exit 0
_EOF
chmod +x find_requires.sh


%build
%configure \
   --with-appresdir=%{_prefix}/lib/X11/app-defaults

%make PROCESSEDEXAMPLEFILES="" -j1 \
%if "%{_host}" != "%{_build}"
   GROFFBIN=%{_bindir}/groff \
   GROFF_BIN_PATH=%{_bindir}
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#rm -fr $RPM_BUILD_ROOT%{_infodir}/dir
ln -s soelim %{buildroot}%{_bindir}/zsoelim
ln -s eqn %{buildroot}%{_bindir}/geqn
ln -s tbl %{buildroot}%{_bindir}/gtbl

#mv %{buildroot}%{_docdir}/groff-%{majver} %{buildroot}%{_docdir}/groff
#ln -sf  ../examples/mom/mom-pdf.pdf %{buildroot}%{_docdir}/groff/pdf/mom-pdf.pdf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info
exit 0

%preun
%uninstall_info %{name}.info
exit 0

%files
%defattr(-,root,root)
%{_bindir}/*
#%dir %{_libdir}/groff/glilypond
#%{_libdir}/groff/glilypond/*
#%dir %{_libdir}/groff/gpinyin
#%{_libdir}/groff/gpinyin/subs.pl
#%{_libdir}/groff/groff_opts*.txt
#%{_libdir}/groff/grog/subs.pl
#%dir %{_libdir}/groff/groffer
#%{_libdir}/groff/groffer/*
%dir %{_datadir}/groff
%dir %{_datadir}/groff/%{version}
%{_datadir}/groff/%{version}/*
%dir %{_datadir}/groff/site-tmac
%{_datadir}/groff/site-tmac/*
%{_datadir}/groff/current
%{_infodir}/groff.info*
%{_mandir}/man?/*
%doc COPYING LICENSES

%if "%{stage1}" != "1"
%files X11
%defattr(-,root,root)
%{_bindir}/xtotroff
%{_bindir}/gxditview
%{_prefix}/lib/X11/app-defaults/GXditview
%{_prefix}/lib/X11/app-defaults/GXditview-color
%endif

%files docs
%defattr(-,root,root)
%dir %{_datadir}/doc/groff-%{version}
%{_datadir}/doc/groff-%{version}/*
#%doc ChangeLog BUG-REPORT NEWS PROBLEMS README TODO

%changelog
* Sat Jul 08 2023 Automatic Build System <autodist@mambasoft.it> 1.23.0-1mamba
- automatic version update by autodist

* Mon Dec 24 2018 Automatic Build System <autodist@mambasoft.it> 1.22.4-1mamba
- automatic version update by autodist

* Fri Jan 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22.3-2mamba
- remove internal perl automatic deps

* Wed Nov 05 2014 Automatic Build System <autodist@mambasoft.it> 1.22.3-1mamba
- automatic version update by autodist

* Sat Feb 09 2013 Automatic Build System <autodist@mambasoft.it> 1.22.2-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 1.22.1-1mamba
- automatic version update by autodist

* Tue Oct 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-2mamba
- examples and html files moved to docs subpackage

* Fri Dec 31 2010 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic update by autodist

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.1-1mamba
- automatic update to 1.20.1 by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20-1mamba
- automatic update to 1.20 by autodist

* Mon Apr 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.2-3mamba
- specfile updates

* Mon Sep 26 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.2-2qilnx
- move X11 dependent packages to groff-X11

* Thu Sep 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.19.2-1qilnx
- update to version 1.19.2 by autospec

* Thu Apr 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.19.1-2qilnx
- fixed security issue QSA-2005-056 (CAN-2004-0969)
- added %%post and %%preun scripts to install/uninstall the info page

* Fri May 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.19.1-1qilnx
- new version rebuild

* Wed Feb 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.19-1qilnx
- new version rebuild; specfile cleanups 
- enabled the HTML backend of groff (grohtml)

* Tue Apr 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.18.1-5qilnx
- added gtbl and geqn symlinks for man

* Tue Apr 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.18.1-4qilnx
- added /usr/share/info/dir again after patching rpm build

* Thu Apr 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.18.1-3qilnx
- remove Prefix definition
- remove empty /usr/share/info/dir

* Mon Apr 14 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it>
- creation of groff package
